﻿using System.Collections.ObjectModel;
using Telerik.Windows.Controls.ScheduleView;
using System;

namespace ScheduleViewAndGridViewDragDrop
{
	public class ViewModel
	{
		public ObservableCollection<Customer> CustomersSource1 { get; private set; }
		public ObservableCollection<Appointment> AppointmentsSource1 { get; private set; }


		public ViewModel()
		{
			var monday = new DateTime(DateTime.Today.Year, DateTime.Today.Month, CalendarHelper.GetFirstDayOfWeek(DateTime.Today, DayOfWeek.Sunday).Day);

			this.CustomersSource1 = new ObservableCollection<Customer> 
					{
						new Customer { ID = 1, Name = "Customer 1" },
						new Customer { ID = 2, Name = "Customer 2" },
						new Customer { ID = 3, Name = "Customer 3" },
						new Customer { ID = 4, Name = "Customer 4" },
						new Customer { ID = 5, Name = "Customer 5" } 
					};

			this.AppointmentsSource1 = new ObservableCollection<Appointment> 
					{ 
						new Appointment { Start = monday, End = monday.AddHours(1), Subject = "Appointment 1" },
						new Appointment { Start = monday, End = monday.AddHours(1), Subject = "Appointment 2" },
						new Appointment { Start = monday, End = monday.AddHours(1), Subject = "Appointment 3" },
						new Appointment { Start = monday, End = monday.AddHours(1), Subject = "Appointment 4" },
						new Appointment { Start = monday, End = monday.AddHours(1), Subject = "Appointment 5" } 
					};

		}
	}

	public class Customer
	{
		public string Name { get; set; }
		public int ID { get; set; }

		public Customer Copy()
		{
			return new Customer
			{
				Name = this.Name,
				ID = this.ID
			};
		}
	}
}
